LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-22-2014, 12:10 AM   #1
profaditya
LQ Newbie
 
Registered: Mar 2014
Posts: 1

Rep: Reputation: Disabled
after installing NS2 termina shows the message ns2 not installed


hello friends,
i am just an beginner to NS2. i was trying to install NS2(2.34) on Ubuntu(12.04) after following each step the message is displayed ns2 is not installed.
The program 'ns' is currently not installed. You can install it by typing:
sudo apt-get install ns2.
can anyone help me out what to do next.
 
Old 03-22-2014, 06:54 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153Reputation: 3153
Welcome to LQ.

Prerequisites for ns2 / Ububtu 12.04 - i686 ...
( The 64bits (x86_64) version is not recommended for ns2.)
1) $ sudo apt-get install g++ autoconf automake libtool patch libxmu-dev xgraph
2) The gcc41/g++41 compilers, post #18 here :
http://www.linuxquestions.org/questi...022/page2.html

* Building ns-allinone-2.34 in Ubuntu 12.04 - i686 :
** Start from scratch in a new folder in /home/<name>/ :
$ cd ns-allinone-2.34/ && export CC=gcc41 CXX=g++41 && ./install
... Installing the executable 'ns' (and nam) to /usr/local/bin/ :
$ cd ns-2.34/ && sudo make install
$ cd ../nam-1.14/ && sudo make install
... That's it. Don't do anything more.
(Like adding something to .bashrc: Not required when you can do 'make install'.)

-

Last edited by knudfl; 03-22-2014 at 06:55 AM.
 
Old 09-25-2014, 03:15 PM   #3
Master_Stu
Member
 
Registered: Sep 2014
Posts: 38
Blog Entries: 1

Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
Welcome to LQ.

Prerequisites for ns2 / Ububtu 12.04 - i686 ...
( The 64bits (x86_64) version is not recommended for ns2.)
1) $ sudo apt-get install g++ autoconf automake libtool patch libxmu-dev xgraph
2) The gcc41/g++41 compilers, post #18 here :
http://www.linuxquestions.org/questi...022/page2.html

* Building ns-allinone-2.34 in Ubuntu 12.04 - i686 :
** Start from scratch in a new folder in /home/<name>/ :
$ cd ns-allinone-2.34/ && export CC=gcc41 CXX=g++41 && ./install
... Installing the executable 'ns' (and nam) to /usr/local/bin/ :
$ cd ns-2.34/ && sudo make install
$ cd ../nam-1.14/ && sudo make install
... That's it. Don't do anything more.
(Like adding something to .bashrc: Not required when you can do 'make install'.)

-
Hi Sir!
plz i need your help i have installed NS2.34 and a tried to add lte patch but when i tried to simulate enaya.tcl example there's a problem , than i reinstaled ns2.34 but this error is shown:

tcl8.4.18 make succeeded.
Warning: tclStubInit.c may be out of date.
Developers may want to run "make genstubs" to regenerate.
This warning can be safely ignored, do not report as a bug!
Installing libtcl8.4.a to /home/aziza/Bureau/ns-allinone-2.34/lib/
cp: cannot create regular file `/home/aziza/Bureau/ns-allinone-2.34/lib/#inst.20046#': Permission denied
rm: cannot remove `/home/aziza/Bureau/ns-allinone-2.34/lib/libtcl8.4.a': Permission denied
mv: cannot stat `/home/aziza/Bureau/ns-allinone-2.34/lib/#inst.20046#': No such file or directory
ranlib: could not create temporary file whilst writing archive: No more archived files
make: *** [install-binaries] Error 1
tcl8.4.18 installation failed.
Tcl is not part of the ns project. Please see www.Scriptics.com
to see if they have a fix for your platform.

plz i need help
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
NS2: Require eap-sim authentication code for simulation in ns2.24 noamankhatib Linux - Software 0 04-29-2013 01:03 PM
recompiling .h and .cc files in ns2 does not shows changes made to them Narges Linux - Newbie 4 12-05-2012 12:46 AM
i am installing ns2.32 on redhat enterprise 5 & getting this message.pls help angelina29 Red Hat 1 09-03-2010 11:03 AM


All times are GMT -5. The time now is 02:37 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration